सामग्री पर जाएँ

Minimax Music

इंटीग्रेट करें

मॉडल id minimax-music/v2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax-music/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "lyrics_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.03 30 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

स्टाइल विवरण और संरचना टैग वाली पूरी गीत-पंक्तियों से Music 2.0 ट्रैक

MiniMax · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 2000

10–300 वर्णों का संगीत प्रॉम्प्ट। इच्छित परिदृश्य के साथ संगीत शैली और मूड निर्दिष्ट करें।

•आवश्यक 88 / 3000

10–3000 वर्णों के गीत-पाठ में पंक्तियों को अलग करने के लिए n का उपयोग करें। [Intro], [Verse], [Chorus], [Bridge] और [Outro] जैसे वैकल्पिक अरेंजमेंट मार्कर संरचना बेहतर बना सकते हैं।

उन्नत enable_safety_checker · audio_setting

ऑडियो कॉन्फ़िगर करने की सेटिंग।

POST /run/minimax-music/v2?wait=20 कोटेशन → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax-music/v2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "lyrics_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Minimax Music के बारे में

`prompt` से गीत बनाता है, जिसमें स्टाइल, मूड और परिदृश्य का वर्णन होता है, तथा `lyrics_prompt` में [Intro], [Verse], [Chorus], [Bridge] और [Outro] जैसे वैकल्पिक टैग वाली गीत-पंक्तियाँ होती हैं। गीत-पंक्तियाँ अधिकतम 3000 वर्णों की हो सकती हैं। `audio_setting` आउटपुट कॉन्फ़िगरेशन नियंत्रित करता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 2,000 अक्षर≥ 10 अक्षर
10–300 वर्णों का संगीत प्रॉम्प्ट। इच्छित परिदृश्य के साथ संगीत शैली और मूड निर्दिष्ट करें।
lyrics_promptआवश्यक
प्रकारstring
≤ 3,000 अक्षर≥ 10 अक्षर
10–3000 वर्णों के गीत-पाठ में पंक्तियों को अलग करने के लिए n का उपयोग करें। [Intro], [Verse], [Chorus], [Bridge] और [Outro] जैसे वैकल्पिक अरेंजमेंट मार्कर संरचना बेहतर बना सकते हैं।
audio_settingवैकल्पिक
प्रकारobject
ऑडियो कॉन्फ़िगर करने की सेटिंग।
audio_setting.sample_rateवैकल्पिक
प्रकारenum
डिफ़ॉल्ट44100
80001600022050240003200044100
निर्मित ऑडियो की सैंपलिंग दर।
audio_setting.bitrateवैकल्पिक
प्रकारenum
डिफ़ॉल्ट256000
3200064000128000256000
निर्मित ऑडियो की बिटरेट।
audio_setting.formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टmp3
mp3pcmflac
ऑडियो का फ़ॉर्मैट।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax-music/v2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "lyrics_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
audio
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया संगीत।

और मॉडल: टेक्स्ट से संगीत

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/minimax-music/v2.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt